@page "/admin"

@using AntDesign
@using System.Text;
@using System.Net;
@using FIOWeb.Models
@using FIOWeb.JsonPayloads
@using Newtonsoft.Json
@using CurrieTechnologies.Razor.Clipboard

@inject ClipboardService Clipboard
@inject IMatToaster Toaster
@inject NavigationManager NavManager
@inject GlobalAppState GlobalAppState

@implements IDisposable

<h1>Admin</h1>

<FIOWeb.Components.LoadingWrapper RequiresAuth="true" RequiresAdmin="true">
    <h2>Account Management</h2>
    <Modal Title="Create Account"
            Visible="createAccountDlgVisible"
            OnOk="@OnCreateAccountOk"
            OnCancel="@OnCreateAccountCancel">
        <Input placeholder="UserName" @bind-Value="@createAccountUserName"/>
        <Input placeholder="Password" @bind-Value="@createAccountPassword" />
        <Checkbox Checked="@createAccountIsAdmin" CheckedChange="@ToggleAdminChecked">Is Administrator?</Checkbox>
    </Modal>
    <Modal Title="User Already Exists.  Replace their password?"
            Visible="userAlreadyExistsDlgVisible"
            OnOk="@OnUserAlreadyExistsOk"
            OnCancel="@OnUserAlreadyExistsCancel">
    </Modal>
    <MatButton Raised="true" Class="mdc-toast-info" OnClick="OnCreateAccountClicked">Create Account</MatButton>
    @if ( RecentAccountInfo != null)
    {
        <MatIconButton Icon="file_copy" OnClick="@CopyAccountInfo"></MatIconButton>
    }

    <h2>Data Resets</h2>
    <Modal Title="Are you sure?"
           Visible="areYouSureDlgVisible"
           OnOk="@AreYouSureOnOk"
           OnCancel="@AreYouSureOnCancel">
    </Modal>
    <MatButton Raised="true" Class="mdc-toast-info" OnClick="@(() => { clearCommand = "cx"; areYouSureDlgVisible = true;})">Reset CX Data</MatButton>
    <MatButton Raised="true" Class="mdc-toast-info" OnClick="@(() => { clearCommand = "mat"; areYouSureDlgVisible = true;})">Reset MAT Data</MatButton>
    <MatButton Raised="true" Class="mdc-toast-info" OnClick="@(() => { clearCommand = "bui"; areYouSureDlgVisible = true;})">Reset BUI Data</MatButton>
    <MatButton Raised="true" Class="mdc-toast-info" OnClick="@(() => { clearCommand = "chat"; areYouSureDlgVisible = true;})">Reset Chat Data</MatButton>
    <MatButton Raised="true" Class="mdc-toast-info" OnClick="@(() => { clearCommand = "jump"; areYouSureDlgVisible = true;})">Reset Jump Cache</MatButton>
</FIOWeb.Components.LoadingWrapper>

